Subject: Re: [PATCH v2 1/3] completion: complete "unstuck" `git push --recurse-submodules`

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Jul 2014 14:17:13 -0700

John Keeping <[email-masked]> writes:

> Makes sense.  I don't think I noted the order in the "$cur" case, I just
> put the new one in here so that they were sorted lexicographically.

Unless there is particular reason, consistently using lexicographic
order in all related places is one good way to organize things, but
doing so would involve flipping orders in the other case statement
for this particular patch.  In general, I prefer to see people add
new things at the end, when there is no particular reason to do
otherwise.

> Do you want me to re-roll with this change or can you replace the patch
> while applying?

I think I had to flip the third one to adjust to the change I
suggested to this; the result will be on 'pu', so please double
check when I push it out.

Thanks.